import React from "react"
import { useState } from "react"

interface Props {
    onPressed?: (dirName: string)=>void
}

const CreateDirButton: React.FC<Props> = (props) => {
    
	const [name,setName] = useState("")

	return (
		<div>
			<button>
                Create Dir
			</button>
			<div>
				<input
					type="text"
					onChange={(e)=>{
						setName(e.target.value)
					}}
					value={name}
				/>
				<button 
					onClick={()=>{
						props.onPressed?.(name)
						setName("")
					}}
				>
                    Create
				</button>
			</div>
		</div>
	)
}

export default CreateDirButton
